import QtQuick 2.0
import QtQuick.Layouts 1.11
import NoteBacked 1.0
Item {
    property int viewIndex: 0
    property alias audioRecorder: recorder
    property alias audioPlayer: player
    id: audioManager
    StackLayout {
        id: layout
        anchors.fill: parent
        currentIndex: viewIndex
        AudioRecord {
            id: recorder
        }
        AudioPlay {
            id: player
        }
    }

    function startPlay(data, isReset){
        if(stateManager.getState(StatesManager.StateRecording)){
            return false;
        }
        audioManager.visible = true;
        viewIndex = 1;
        return player.startPlay(data, isReset);
    }

    function startRecorder(){

        if(stateManager.getState(StatesManager.StatePlaying)){
            player.stopPlay();
        }

        audioManager.visible = true;
        viewIndex = 0;
        return recorder.startPauseRecord();
    }
    function stopAudioOper(){
        if(stateManager.getState(StatesManager.StatePlaying)){
            player.stopPlay();
        }
        if(stateManager.getState(StatesManager.StateRecording)){
            recorder.stopRecord();
        }
        audioManager.visible = false;
    }
}
