import QtQuick 2.0
import QtQuick.Window 2.11
import Qt.labs.platform 1.0
import org.deepin.dtk 1.0
import NoteBacked 1.0

Menu {
    id: noteRightMenu

    // 是否多选列表
    property bool isMultipleChoice: false

    MenuItem {
        text:  qsTr("New note")
        visible: !isRecycleroot()
        height: visible ? implicitHeight : 0
        onClicked: {
            noteListViewRoot.addNote()
        }
    }

    MenuItem {
        text:  qsTr("Restore note")
        visible: isRecycleroot()
        height: visible ? implicitHeight : 0
        onClicked: {
            var indexList = [m_abstractList.listViewAlias.currentIndex]
            noteListViewRoot.restoreNote(indexList)
        }
    }

    MenuSeparator {}

    MenuItem {
        text: qsTr("Open in new window")
        visible:  !noteListViewRoot.isRecycleroot() && !isMultipleChoice
        height: visible ? implicitHeight : 0
    }
    MenuItem {
        text: qsTr("Sticky on top")
        visible:  !noteListViewRoot.isRecycleroot() && !isMultipleChoice
        height: visible ? implicitHeight : 0
        onClicked: {
            noteListViewRoot.topNote()
        }
    }

    MenuItem { text: qsTr("Move note")}

    MenuSeparator {
        visible: !noteListViewRoot.isRecycleroot() && !isMultipleChoice
        height: visible ? implicitHeight : 0
    }

    MenuItem {
        text: qsTr("Print")
        visible: false /*!noteListViewRoot.isRecycleroot() && !isMultipleChoice*/
        height: visible ? implicitHeight : 0
    }

    Menu {
        title: qsTr("Export")
        MenuItem {
            text: qsTr("Export html")
        }
        MenuItem {
            text: qsTr("Export pdf")
        }
    }

    MenuSeparator {}

    MenuItem {
        text: qsTr("Delete")
        visible: noteListViewRoot.isRecycleroot() ? false : true
        height: visible ? implicitHeight : 0

        onClicked: {
            noteListViewRoot.deleteNote()
        }
    }

    MenuItem {
        text: qsTr("Permanently delete")
        visible:  noteListViewRoot.isRecycleroot()
        height: visible ? implicitHeight : 0
        onClicked: {
            noteListViewRoot.deleteNoteConfirm()
        }
    }

    MenuItem { text: qsTr("Empty Trash")
        visible: noteListViewRoot.isRecycleroot()
        height: visible ? implicitHeight : 0
        onClicked: {
            noteListViewRoot.clearRecycleConfirm()
        }
    }
}


