import QtQuick 2.0
import QtQuick.Window 2.2
import QtQuick.Layouts 1.11
import org.deepin.dtk 1.0

//import QtQuick.Controls 2.3

Rectangle {

    id: defaultPage

    /*是否回收站*/
    property bool m_isRecycle: true

    /*新建笔记信号*/
    signal sigDefaultPageAddNote()

    anchors.fill: parent

    MouseArea {
        id: defaultPageMouseArea
        anchors.fill: parent
        acceptedButtons: Qt.RightButton | Qt.LeftButton
        onClicked: defaultPage.focus = true
    }

    ColumnLayout {
        anchors.centerIn: parent
        DciIcon {
            Layout.alignment: Qt.AlignHCenter
            name: m_isRecycle ? "trash_empty": "home_page_empty"
            sourceSize {
                width: 128
                height: 128
            }
        }

        Item {height: 10}

        Label {
            Layout.alignment: Qt.AlignHCenter
            font: DTK.fontManager.t8
            text: defaultPage.m_isRecycle ? qsTr("Trash is empty") : qsTr("Click \"New Note\" to jot down any ideas")
        }

        Item {
            height: 10;
            visible: !defaultPage.m_isRecycle
        }

        RecommandButton {
            implicitWidth: 180
            implicitHeight: 36
            Layout.alignment: Qt.AlignHCenter
            text: qsTr("New Note")
            visible: !defaultPage.m_isRecycle

            onClicked: {
                defaultPage.sigDefaultPageAddNote()
            }
        }
    }

    function showDefaultPage(isRecycle) {
        m_isRecycle = isRecycle
    }
}
