import QtQuick 2.0
import QtQuick.Layouts 1.11
import QtQuick.Window 2.11
import QtQml.Models 2.11
import org.deepin.dtk 1.0
import org.deepin.dtk.settings 1.0 as Settings

Settings.SettingsDialog {
    id: settingviewid
    height: 520
    width: 680
    config: Config {}
    visible: false
    groups: [  // 创建配置组，管理配置子组和Options
        Settings.SettingsGroup {
            key: "baseSetting"
            name: "基础设置"
            children: [
                Settings.SettingsGroup {
                    key: "fontStyle"
                    name: "字体样式"
                    Settings.SettingsOption {
                        key: "fontFamily"
                        Settings.OptionDelegate {
                            Rectangle{
                                height: 40;
                                anchors.top: parent.top;
                                anchors.left: parent.left;
                                anchors.leftMargin: 10;
                                Text {
                                    anchors.top: parent.top;
                                    anchors.topMargin: 5;
                                    anchors.left: parent.left;
                                    id: fontid
                                    text: qsTr("字体")
                                    width: 60
                                }
                                ComboBox{
                                    anchors.top: parent.top;
                                    anchors.left: fontid.right;
                                    model: ["微软雅黑", "隶书", "楷体"]
                                }
                            }
                        }
                    }
                    Settings.SettingsOption {
                        key: "fontFamily"
                        Settings.OptionDelegate {
                            Rectangle{
                                height: 40;
                                anchors.top: parent.top;
                                anchors.left: parent.left;
                                anchors.leftMargin: 10;
                                Text {
                                    anchors.top: parent.top;
                                    anchors.topMargin: 5;
                                    anchors.left: parent.left;
                                    id: fontsizeid
                                    text: qsTr("字号")
                                    width: 60
                                }
                                LineEdit {
                                    anchors.top: parent.top;
                                    anchors.left: fontsizeid.right;
                                    text: "10"
                                    id: fontsizeedit
                                    readOnly : true
                                }
                                ToolButton{
                                    anchors.top: parent.top;
                                    anchors.left: fontsizeedit.right;
                                    id: fontsizeadd
                                    icon: {
                                        name: "list-add"
                                        width: 28
                                        height: 28
                                    }
                                }
                                ToolButton{
                                    anchors.top: parent.top;
                                    anchors.left: fontsizeadd.right;
                                    icon: {
                                        name: "list-remove"
                                        width: 28
                                        height: 28
                                    }
                                }
                            }
                        }
                    }
                },
                Settings.SettingsGroup {
                    key: "声音来源"
                    name: "声音来源"
                    Settings.SettingsOption {
                        key: "fontFamily"
                        Settings.OptionDelegate {
                            Rectangle{
                                height: 80;
                                anchors.top: parent.top;
                                anchors.left: parent.left;
                                anchors.leftMargin: 10;
                                RadioButton {
                                    id: systemRadioBt
                                    anchors.top: parent.top;
                                    anchors.left: parent.left;
                                    width: 120
                                    height: 40
                                    text: "系统声音"
                                }
                                RadioButton {
                                    id: micRadioBt
                                    anchors.top: systemRadioBt.bottom;
                                    anchors.left: parent.left;
                                    width: 120
                                    height: 40
                                    text: "麦克风声音"
                                }
                            }
                        }
                    }
                }
            ]
        }
    ]
}
