/*
* Copyright (C) 2022 Uniontech Software Technology Co.,Ltd.
*
* Author:     liuyanga <liuyanga@uniontech.com>
*
* Maintainer: liuyanga <liuyanga@uniontech.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "loaddatathread.h"
#include "datamanager.h"

LoadDataThread::LoadDataThread(DataManager *data, LoadType type, QObject *parent)
    : QObject(parent),
      m_dataManger(data),
      m_loadType(type)
{

}

void LoadDataThread::run()
{
    if (m_dataManger) {
        switch (m_loadType) {
        case LOADFOLEDR:
            m_dataManger->loadFolder();
            break;
        case LOADNOTE:
            m_dataManger->loadNote();
            break;
        case LOADNOTEALLCONTENT:
            m_dataManger->loadAllNoteContent();
            break;
        default:
            break;
        }
    }
}
