/*
* Copyright (C) 2022 Uniontech Software Technology Co.,Ltd.
*
* Author:     liuyanga <liuyanga@uniontech.com>
*
* Maintainer: liuyanga <liuyanga@uniontech.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "qmlglobalobject.h"
#include "jscontent.h"
#include "datamanager.h"
#include "lefttreemode.h"
#include "datalistmodel.h"
#include "audiorecordmanager.h"
#include "audioplaymanager.h"

#include <QtQml>

#include <DGuiApplicationHelper>

DGUI_USE_NAMESPACE

QMLGlobalObject::QMLGlobalObject(QObject *parent) : QObject(parent)
{
    m_stateManager = StatesManager::instance();
    qmlRegisterType<JSContent>("NoteBacked", 1, 0, "JSContent");
    qmlRegisterType<StatesManager>("NoteBacked", 1, 0, "StatesManager");
    qmlRegisterType<LeftTreeMode>("NoteBacked", 1, 0, "LeftTreeMode");
    qmlRegisterType<DataListModel>("NoteBacked", 1, 0, "DataListModel");
    qmlRegisterType<AudioRecordManager>("NoteBacked", 1, 0, "AudioRecordManager");
    qmlRegisterType<AudioPlayManager>("NoteBacked", 1, 0, "AudioPlayManager");
    m_interactionManager = InteractionManager::instance();
    qmlRegisterType<InteractionManager>("NoteBacked", 1, 0, "InteractionManager");

    connect(DGuiApplicationHelper::instance(), &DGuiApplicationHelper::newProcessInstance, m_stateManager, &StatesManager::sigActiveWindow);
}

QString QMLGlobalObject::getWebPath()
{
    return WEB_PATH;
}
