/*
* Copyright (C) 2022 Uniontech Software Technology Co.,Ltd.
*
* Author:     liuyanga <liuyanga@uniontech.com>
*
* Maintainer: liuyanga <liuyanga@uniontech.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef QMLGLOBALOBJECT_H
#define QMLGLOBALOBJECT_H

#include "common/statesmanager.h"
#include "common/interactionmanager.h"
#include <QObject>

class QMLGlobalObject : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString webPath READ getWebPath CONSTANT)
    Q_PROPERTY(StatesManager *stateManager MEMBER m_stateManager)
    Q_PROPERTY(InteractionManager *interactionManager MEMBER m_interactionManager)
public:
    explicit QMLGlobalObject(QObject *parent = nullptr);
    /**
     * @brief getWebPath 获取web文件路径
     * @return 路径
     */
    QString getWebPath();

private:
    StatesManager *m_stateManager            {nullptr};
    InteractionManager *m_interactionManager {nullptr};
};

#endif // QMLGLOBALOBJECT_H
