/*
* Copyright (C) 2022 Uniontech Software Technology Co.,Ltd.
*
* Author:     zhangzhong <zhangzhong@uniontech.com>
*
* Maintainer: zhangzhong <zhangzhong@uniontech.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "dbusconnectinfo.h"

DbusConnectInfo::DbusConnectInfo()
{
    initFontsInformation();
}

void DbusConnectInfo::initFontsInformation()
{
    m_pDbusAppearance.reset(new Appearance(DEEPIN_DAEMON_APPEARANCE_PATH,
                                           DEEPIN_DAEMON_APPEARANCE_INTERFACE,
                                           QDBusConnection::sessionBus(), this));
    //获取默认字体
    QString defaultfont = m_pDbusAppearance->standardFont();

    //获取字体列表
    QDBusPendingReply<QString> font = m_pDbusAppearance.get()->List("standardfont");
    QJsonArray array = QJsonDocument::fromJson(font.value().toLocal8Bit().data()).array();
    QStringList list;
    for (int i = 0; i != array.size(); i++) {
        list << array.at(i).toString();
    }
    //获取带翻译的字体列表
    QDBusPendingReply<QString> font1 = m_pDbusAppearance.get()->Show("standardfont", list);
    QJsonArray arrayValue = QJsonDocument::fromJson(font1.value().toLocal8Bit().data()).array();
    //列表格式转换
    for (int i = 0; i != arrayValue.size(); i++) {
        QJsonObject object = arrayValue.at(i).toObject();
        object.insert("type", QJsonValue("standardfont"));
        m_fontList << object["Name"].toString();
        if (defaultfont == object["Id"].toString()) {
            //根据id 获取带翻译的默认字体
            m_FontDefault = object["Name"].toString();
        }
    }

    // sort for display name
    std::sort(m_fontList.begin(), m_fontList.end(), [ = ](const QString & obj1, const QString & obj2) {
        QCollator qc;
        return qc.compare(obj1, obj2) < 0;
    });
}

QStringList DbusConnectInfo::GetFontList()
{
    return m_fontList;
}
