/*
* Copyright (C) 2022 Uniontech Software Technology Co.,Ltd.
*
* Author:     zhangzhong <zhangzhong@uniontech.com>
*
* Maintainer: zhangzhong <zhangzhong@uniontech.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DBUSCONNECTINFO_H
#define DBUSCONNECTINFO_H

#include <QObject>
#include <QtDBus>
#include <QDBusInterface>
#include <com_deepin_daemon_appearance.h>

using Appearance = com::deepin::daemon::Appearance;

//获取字号接口
#define DEEPIN_DAEMON_APPEARANCE_PATH             "com.deepin.daemon.Appearance"
#define DEEPIN_DAEMON_APPEARANCE_INTERFACE        "/com/deepin/daemon/Appearance"

class DbusConnectInfo : public QObject
{
    Q_OBJECT
public:
    static DbusConnectInfo &instance()
    {
        static DbusConnectInfo instance;
        return instance;
    }

    /**
     * @brief GetFontList 获取字体列表
     * @param
     */
    QStringList GetFontList();

private:
    DbusConnectInfo();
    Q_DISABLE_COPY(DbusConnectInfo)

    /**
     * @brief 初始化字体列表
     */
    void initFontsInformation();

    //获取字体列表接口
    QScopedPointer<Appearance>  m_pDbusAppearance {nullptr};
    //默认字体
    QString                     m_FontDefault = "";
    //字体列表
    QStringList                 m_fontList;
};

#endif // DBUSCONNECTINFO_H
