/*
* Copyright (C) 2022 Uniontech Software Technology Co.,Ltd.
*
* Author:     liuyanga <liuyanga@uniontech.com>
*
* Maintainer: liuyanga <liuyanga@uniontech.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef PRASEAUDIOWAVEFORM_H
#define PRASEAUDIOWAVEFORM_H
#include "notedata.h"

#include <QObject>
#include <QAudioDecoder>

class PraseAudioWaveform : public QObject
{
    Q_OBJECT
public:
    explicit PraseAudioWaveform(QObject *parent = nullptr);
    void setAudioInfo(const VoiceInfo &data) {m_audoInfo = data;}
    void setMaxSamples(int size) {m_maxSamples = size;}
    void setMaxWaveformHeight(qreal height) {m_maxWaveformHeight = height;}
    Q_INVOKABLE bool startPrase();
signals:
    void sigPraseFinsh(const QString &path, const QList<qreal> &data);
public slots:
    void slotSetBuffer();
    void slotPraseDataEnd();
private:
    VoiceInfo m_audoInfo;
    int m_maxSamples {0};
    qreal m_maxWaveformHeight{1.0};
    QAudioDecoder *m_decoder {nullptr};
    QAudioBuffer m_buffer;
    QList<qreal> m_data;
    qint64 m_step {0};
    qint64 m_remaining {0};
};

#endif // PRASEAUDIOWAVEFORM_H
